Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 12 Apr 2023 13:01:07 +0100

On Wed, Apr 12, 2023 at 12:46 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Wed, 12 Apr 2023 12:35:23 +0100
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked]
> >
> > > > Can we put this tiny patch on master then?
> > >
> > > Yes, if Philip and Stefan don't object.  But, since there will be a
> > > command for updating core packages, doesn't this go against your
> > > desire not to change the UX?
> >
> > IMO The user experience is bad/broken.
>
> We don't yet have the other command, let alone any user feedback.  So
> I don't think you can know this is bad/broken yet.  You may think so,
> but I happen to think differently, so let's not behave as if this is a
> fact already.

I was talking about the current state, obviously.  It's bad/broken,
IMO, as I described the original bug report, and noone really contested
that I think.  As to the new command you're proposing I think we'll both
agree that it's adding _new_ UX to the Emacs 29 pretest, something
which is at least infrequent.

> > So at least I want to change it, if minimally.  That's what any bug
> > report is about, to change UX for the better.  Here, to let people
> > not to have to go through odd hoops big or small to install packages
> > or know if something is built-in/core or not.
>
> Using a specialized command for a special job is nowhere near jumping
> through hoops.

Right.  But we fundamentally disagree that this is a "special job".
There's 0 reason why it should be.